Subject: Re: problem with find/grep
From: "Daniel Miller \(IMI\)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 12 Oct 2004 09:43:28 -0700

> On Tue, 12 Oct 2004, Daniel Miller wrote:
>
> > On linux systems, I typically to global searches with a command such as:
> >
> >     find . -name "*.[ch]*" -exec grep -H -n stuff {} \;
> >
> > and this works nicely.  However, when I try the same command under
Cygwin
> > (from a 4NT prompt, not Bash), I get "find: missing argument to '-exec'
".
> > I tried a variety of modifications to the command but nothing makes this
> > work.  What am I missing??
>
> I'd bet it's the fact that 4NT uses different quoting mechanisms than
> bash.  Try quoting the semicolon as ";" instead of \;.

Oh, my!!  That indeed worked!!  Thanks!!

> I won't ask the implied "Why not use bash?" question...

Hokay, then I won't answer!!  I suspect this subject has been discussed
several times in the past here, if I recall past perusal of the list... but
there really *are* a few things that 4NT does better (or does at all) as
opposed to Bash.

I'll admit, tho, that if I hadn't already paid for 4DOS/4NT (over a decade
ago, actually), I wouldn't buy it now, with Bash available for free...

    Dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/